summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 04c5495)
raw | patch | inline | side by side (parent: 04c5495)
author | richard <richard@57a73879-2fb5-44c3-a270-3262357dd7e2> | |
Tue, 7 Oct 2003 23:02:58 +0000 (23:02 +0000) | ||
committer | richard <richard@57a73879-2fb5-44c3-a270-3262357dd7e2> | |
Tue, 7 Oct 2003 23:02:58 +0000 (23:02 +0000) |
git-svn-id: http://svn.roundup-tracker.org/svnroot/roundup/trunk@1908 57a73879-2fb5-44c3-a270-3262357dd7e2
scripts/README.txt | patch | blob | history | |
scripts/roundup.rc-debian | [new file with mode: 0644] | patch | blob |
diff --git a/scripts/README.txt b/scripts/README.txt
index c6bad8f26761e8ce5d241d8d002d43ed1affa998..a83a7223cdd0298f5131c26fcdb33389c3131606 100644 (file)
--- a/scripts/README.txt
+++ b/scripts/README.txt
restart, condstart (conditional start - only if server is stopped) and
status commands.
+roundup.rc-debian
+ An control script that may be installed in /etc/init.d on Debian systems.
+ Offers start, stop and restart commands and integrates with the Debian
+ init process.
+
diff --git a/scripts/roundup.rc-debian b/scripts/roundup.rc-debian
--- /dev/null
@@ -0,0 +1,51 @@
+#!/bin/sh -e
+#
+# roundup Startup script for the roundup http server.
+#
+# Version: $Id: roundup.rc-debian,v 1.1 2003-10-07 23:02:58 richard Exp $
+
+DESC='Roundup HTTP-Server'
+
+BINFILE=roundup-server
+EXECUTABLE=/usr/local/bin/$BINFILE
+PIDFILE=/var/run/roundup/server.pid
+LOGFILE=/var/log/roundup/roundup.log
+TRACKERS=tttech=/tttech/org/software/roundup/tttech/
+OPTIONS="-- -p 8080 -u roundup -d $PIDFILE -l $LOGFILE $TRACKERS"
+
+
+test -x $EXECUTABLE || exit 0
+
+start_stop() {
+ case "$1" in
+ start)
+ printf "Starting $DESC:"
+ start-stop-daemon --start --oknodo --quiet \
+ --pidfile $PIDFILE \
+ --exec $EXECUTABLE $OPTIONS
+ printf " $BINFILE"
+ printf ".\n"
+ ;;
+ stop)
+ printf "Stopping $DESC:"
+ start-stop-daemon --stop --oknodo --quiet \
+ --pidfile $PIDFILE \
+ --exec $EXECUTABLE $OPTIONS
+ printf " $BINFILE"
+ printf ".\n"
+ ;;
+ restart | force-reload)
+ start_stop stop
+ sleep 1
+ start_stop start
+ ;;
+ *)
+ printf "Usage: $0 {start|stop|restart|force-reload}\n" >&2
+ exit 1
+ ;;
+ esac
+}
+
+start_stop "$@"
+
+exit 0